       double precision function map_steel_yb(s,t,tc,x)
       implicit none
       double precision t,tc,s,x,arg,map_steel_yb
 
* This function only applies when t .gt. tc

       arg=s*((2.0d0/3.0d0)*(tc*(1.0d0-x))**(1.5d0)
     &     +dsqrt(tc-x*tc)*(t-tc))

       if (arg .gt. 173.0d0) then
          map_steel_yb=1.0d0
       else
          map_steel_yb=1.0d0 - dexp(-arg)
       endif
       
       end
